Package org.w3c.tidy

# Class AttributeTable

java.lang.Object
org.w3c.tidy.AttributeTable

public class AttributeTable extends Object
HTML attribute hash table.

Version:
  $Revision: 486 $ ($Author: fgiust $)
Author:
  Dave Raggett dsr@w3.org , Andy Quick ac.quick@sympatico.ca (translation to Java), Fabrizio Giustina

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static Attribute`
`attrAlt`
alt attribute.
`protected static Attribute`
`attrContent`
content attribute.
`protected static Attribute`
`attrDatafld`
datafld attribute.
`protected static Attribute`
`attrHeight`
height attribute.
`protected static Attribute`
`attrHref`
href attribute.
`protected static Attribute`
`attrId`
id attribute.
`protected static Attribute`
`attrIsmap`
ismap attribute.
`protected static Attribute`
`attrLanguage`
language attribute.
`protected static Attribute`
`attrLongdesc`
logdesc attribute.
`protected static Attribute`
`attrName`
name attribute.
`protected static Attribute`
`attrSrc`
src attribute.
`protected static Attribute`
`attrSummary`
summary attribute.
`protected static Attribute`
`attrTitle`
title attribute.
`protected static Attribute`
`attrType`
type attribute.
`protected static Attribute`
`attrUsemap`
usemap attribute.
`protected static Attribute`
`attrValue`
value attribute.
`protected static Attribute`
`attrWidth`
width attribute.
`protected static Attribute`
`attrXmlns`
xmlns attribute.

## Constructor Summary

Constructors
Constructor
Description
`AttributeTable()`

## Method Summary

Modifier and Type
Method
Description
`void`
`declareLiteralAttrib(String name)`
Declare a new literal attribute.
`Attribute`
`findAttribute(AttVal attval)`
public method for finding attribute definition by name.
`static AttributeTable`
`getDefaultAttributeTable()`
Returns the default attribute table instance.
`Attribute`
`install(Attribute attr)`
installs a new Attribute.
`boolean`
`isLiteralAttribute(String attrname)`
Does the given attibute contains a literal attribute?
`boolean`
`isScript(String attrname)`
Does the given attibute contains a script?
`boolean`
`isUrl(String attrname)`
Does the given attibute contains an url?
`Attribute`
`lookup(String name)`
lookup an installed Attribute.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### attrHref

protected static Attribute attrHref
href attribute.

### attrSrc

protected static Attribute attrSrc
src attribute.

### attrId

protected static Attribute attrId
id attribute.

### attrName

protected static Attribute attrName
name attribute.

### attrSummary

protected static Attribute attrSummary
summary attribute.

### attrAlt

protected static Attribute attrAlt
alt attribute.

### attrLongdesc

protected static Attribute attrLongdesc
logdesc attribute.

### attrUsemap

protected static Attribute attrUsemap
usemap attribute.

### attrIsmap

protected static Attribute attrIsmap
ismap attribute.

### attrLanguage

protected static Attribute attrLanguage
language attribute.

### attrType

protected static Attribute attrType
type attribute.

### attrTitle

protected static Attribute attrTitle
title attribute.

### attrXmlns

protected static Attribute attrXmlns
xmlns attribute.

### attrValue

protected static Attribute attrValue
value attribute.

### attrContent

protected static Attribute attrContent
content attribute.

### attrDatafld

protected static Attribute attrDatafld
datafld attribute.

### attrWidth

protected static Attribute attrWidth
width attribute.

### attrHeight

protected static Attribute attrHeight
height attribute.

## Constructor Details

### AttributeTable

public AttributeTable()

## Method Details

### lookup

public Attribute lookup(String name)
lookup an installed Attribute.

Parameters:
  `name` - attribute name
Returns:
  Attribute or null if the attribute is not found

### install

public Attribute install(Attribute attr)
installs a new Attribute.

Parameters:
  `attr` - Atribute
Returns:
  installed Attribute

### findAttribute

public Attribute findAttribute(AttVal attval)
public method for finding attribute definition by name.

Parameters:
  `attval` - AttVal instance
Returns:
  Attribute with name = attval.name

### isUrl

public boolean isUrl(String attrname)
Does the given attibute contains an url?

Parameters:
  `attrname` - attribute name
Returns:
  `true` if the given attribute is expected to contain an URL

### isScript

public boolean isScript(String attrname)
Does the given attibute contains a script?

Parameters:
  `attrname` - attribute name
Returns:
  `true` if the given attribute is expected to contain a script

### isLiteralAttribute

public boolean isLiteralAttribute(String attrname)
Does the given attibute contains a literal attribute?

Parameters:
  `attrname` - attribute name
Returns:
  `true` if the given attribute is expected to contain a literal attribute

### declareLiteralAttrib

public void declareLiteralAttrib(String name)
Declare a new literal attribute.

Parameters:
  `name` - atribute name

### getDefaultAttributeTable

public static AttributeTable getDefaultAttributeTable()
Returns the default attribute table instance.

Returns:
  AttributeTable instance